%define name apcupsd
%define version 3.8.0
%define release 2mdk
%define _cgibin /usr/lib/cgi-bin
%define _sysconfdir /etc/apcupsd

Summary: Power management software for APC UPS hardware
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.oasi.gpa.it/pub/apcupsd/stable/%{name}-%{version}.tar.bz2
Patch0: apcupsd-3.8.0-paths.patch.bz2
Copyright: GPL
Group: System/Servers
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
BuildRequires: ncurses-devel gpm-devel

%description
UPS power management under Linux for APCC Products.
It allows your computer/server to run during power problems
for a specified length of time or the life of the batteries
in your BackUPS, BackUPS Pro, SmartUPS v/s, or SmartUPS, and
then properly executes a controlled shutdown during an
extended power failure.

%prep
%setup
%patch0 -p1 -b .fred

%build

%serverbuild

%configure --enable-powerflute --enable-threads --enable-cgi --with-cgi-bin=%{_cgibin} --enable-nls
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/var/lib/apcupsd
mkdir -p $RPM_BUILD_ROOT%{_cgibin}

%makeinstall cgibin=$RPM_BUILD_ROOT%{_cgibin}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post

%_post_service apcupsd

if !(grep %{_sbindir}/apccontrol /etc/rc.d/init.d/halt > /dev/null); then
cp -f /etc/rc.d/init.d/halt /etc/rc.d/init.d/halt.rpmorig
sed -e '/# Now halt or reboot./i\' \
     -e '\
# See if this is a powerfail situation.\
if [ -f /etc/powerfail ]; then\
  echo "APCUPSD will now power off the UPS!"\
  echo\
  %{_sysconfdir}/apccontrol killpower\
  echo\
  echo "Please ensure that the UPS has powered off before rebooting"\
  echo "Otherwise, the UPS may cut the power during the reboot!!!"\
  echo\
  sleep 120\
  exit 1\
fi\
' /etc/rc.d/init.d/halt.rpmorig > /etc/rc.d/init.d/halt

fi
echo Check the documentation to see whether /etc/rc.d/init.d/halt has a
echo correct invocation of %{_sbindir}/apccontrol .

%preun

%_preun_service apcupsd

%files -f %{name}.lang
%defattr(-,root,root)
%config(noreplace) /etc/apcupsd/*
%config(noreplace) /etc/rc.d/init.d/apcupsd
%{_sbindir}/*
%{_mandir}/man8/*
%{_cgibin}/*
%doc COPYING ChangeLog INSTALL TODO doc/* examples/*
%dir /var/lib/apcupsd

%changelog
* Thu Mar 29 2001 Frederic Lepied <flepied@mandrakesoft.com> 3.8.0-2mdk
- use the new rpm macros for servers.

* Mon Dec  4 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.8.0-1mdk
- new version

* Wed Aug 30 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.7.0-3mdk
- %%postun => %%preun

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.7.0-2mdk
- automatically added BuildRequires

* Fri Jul 28 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.7.0-1mdk
- first mandrake version

# end of file
